Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Class WsdlContentPart

    java.lang.Object
      com.eviware.soapui.model.iface.MessagePart.ContentPart
          com.eviware.soapui.impl.wsdl.WsdlContentPart

All Implemented Interfaces:
  MessagePart

    public class WsdlContentPart

extends MessagePart.ContentPart

Descriptor for Xml-Content

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.MessagePart
`MessagePart.AttachmentPart, MessagePart.ContentPart, MessagePart.FaultPart, MessagePart.HeaderPart, MessagePart.PartType`

Constructor Summary
`WsdlContentPart(java.lang.String name, org.apache.xmlbeans.SchemaType schemaType, javax.xml.namespace.QName partElement)`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`javax.xml.namespace.QName` | `getPartElement()`
`org.apache.xmlbeans.SchemaType` | `getSchemaType()`

Methods inherited from class com.eviware.soapui.model.iface.MessagePart.ContentPart
`getPartType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlContentPart

    public WsdlContentPart(java.lang.String name,
                           org.apache.xmlbeans.SchemaType schemaType,
                           javax.xml.namespace.QName partElement)

Method Detail

### getSchemaType

    public org.apache.xmlbeans.SchemaType getSchemaType()

  Specified by:
    `getSchemaType` in class `MessagePart.ContentPart`

### getDescription

    public java.lang.String getDescription()

### getName

    public java.lang.String getName()

### getPartElement

    public javax.xml.namespace.QName getPartElement()

  Specified by:
    `getPartElement` in class `MessagePart.ContentPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.